Cyberduck Mountain Duck CLI

#9623 closed defect (duplicate)

Hubic mismatch between MD5 and ETag after download

Reported by: quaqua Owned by: dkocher
Priority: normal Milestone: 5.0.9
Component: openstack Version: 5.0.3
Severity: normal Keywords:
Cc: danygiorgi@… Architecture: Intel
Platform: Windows 7

Description (last modified by quaqua)

Hello. I use cyberduck to connection to hubic, and it works well with little files. But when I download a 140 MB file, I receive the error:

Mismatch between MD5 hash {1} of downloaded data, and ETag {2} returned by the server

To reproduce:

  • start cyberduck
  • connect to hubic
  • browse folders
  • select the file 6D9E8C75C871388C-00-00.mrbak (140MB)
  • download it

what happens:

  • cyberduck start to download the file
  • wait for download...
  • at the end of the download, cyberduck send the error

remarks:

  • I have compared the downloaded file, with the original file, and they are equal (binary compare with WinMerge)
  • I have calculated MD5 of the downloaded file, and it is FEE39042FF0B4C08ADEB0D0B22AD7109
  • I have calculated MD5 of the original file, and it is FEE39042FF0B4C08ADEB0D0B22AD7109

System:

  • CyberDuck 5.0.3.20504
  • OAuth 2.0 authentication connection profile (hubiC.cyberduckprofile)
  • Windows 7 Home Premium SP1 64bit

Danilo

Attachments (1)

2016-07-08_171346.jpg (25.8 KB) - added by quaqua on Jul 8, 2016 at 3:15:25 PM.

Download all attachments as: .zip

Change History (7)

Changed on Jul 8, 2016 at 3:15:25 PM by quaqua

comment:1 Changed on Jul 8, 2016 at 3:17:43 PM by quaqua

  • Architecture set to Intel
  • Cc danygiorgi@… added
  • Component changed from core to openstack
  • Owner set to dkocher
  • Platform set to Windows 7

comment:2 Changed on Jul 8, 2016 at 3:22:39 PM by quaqua

  • Description modified (diff)

comment:3 Changed on Jul 12, 2016 at 8:41:17 PM by dkocher

  • Milestone set to 5.1
  • Status changed from new to assigned

comment:4 Changed on Jul 12, 2016 at 8:41:35 PM by dkocher

This affects all files stored as large file uploads.

comment:5 Changed on Jul 12, 2016 at 8:44:02 PM by dkocher

  • Resolution set to duplicate
  • Status changed from assigned to closed

Reopened issue #8861.

comment:6 Changed on Jul 19, 2016 at 9:20:37 AM by dkocher

  • Milestone changed from 5.1 to 5.0.9
Note: See TracTickets for help on using tickets.
swiss made software